class Admin::TechnologyTransferCategoriesController < OrbitMemberController

	def index
	end

	def new
		@technology_transfer_category = TechnologyTransferCategory.new
		@url = admin_technology_transfer_categories_path
	end

	def edit
		@technology_transfer_category = TechnologyTransferCategory.find(params[:id])
		@url = admin_technology_transfer_category_path(@technology_transfer_category)
	end

	def create
		technology_transfer_category = TechnologyTransferCategory.create(technology_transfer_category_params)
		@technology_transfer_categories = TechnologyTransferCategory.all.order_by(:sort_position => "asc")
	end

	def update
		technology_transfer_category = TechnologyTransferCategory.find(params[:id]) rescue nil
		technology_transfer_category.update_attributes(technology_transfer_category_params) if !technology_transfer_category.nil?
		@technology_transfer_categories = TechnologyTransferCategory.all.order_by(:sort_position => "asc")
	end

	def destroy
		technology_transfer_category = TechnologyTransferCategory.find(params[:id]) rescue nil
		technology_transfer_category.destroy if !technology_transfer_category.nil?
		@technology_transfer_categories = TechnologyTransferCategory.all.order_by(:sort_position => "asc")
	end

	def update_order
		orders = params["order"]
	    TechnologyTransferCategory.each do |cc|
	      cc.sort_position = orders["#{cc.id}"]
	      cc.save
	    end
	    render :json => {"success" => true}.to_json
	end

	private 

	def technology_transfer_category_params
		params.require(:technology_transfer_category).permit!
	end

end